shishi_checksum(3)

NAME
shishi_checksum - API function

SYNOPSIS
#include <shishi.h>

int shishi_checksum(Shishi * handle, Shishi_key * key, int keyusage, int cksumtype, const char * in, size_t inlen, char ** out, size_t * outlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_key * key
    key to compute checksum with.

int keyusage
    integer specifying what this key is used for.

int cksumtype
    the checksum algorithm to use.

const char * in
    input array with data to integrity protect.

size_t inlen
    size of input array with data to integrity protect.

char ** out
    output array with newly allocated integrity protected data.

size_t * outlen
    output variable with length of output array with checksum.

DESCRIPTION
Integrity protect data using key, possibly altered by supplied key usage. If key usage is 0, no key derivation is used. The OUT buffer must be deallocated by the caller.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.